LibHilbertPoincareTest.cpp File Reference
`#include "stdinc.h"`
`#include "frobby.h"`
`#include "tests.h"`
`#include "BigIdeal.h"`
`#include "BigPolynomial.h"`
`#include "IdealFactory.h"`
`#include "PolynomialFactory.h"`
`#include "LibTest.h"`

Go to the source code of this file.

## Functions

| TEST (HilbertPoincare, TypicalMultigraded)
| TEST (HilbertPoincare, TypicalUnivariate)
| TEST (HilbertPoincare, ZeroIdealMultigraded)
| TEST (HilbertPoincare, ZeroIdealUnivariate)
| TEST (HilbertPoincare, WholeRingMultigraded)
| TEST (HilbertPoincare, WholeRingUnivariate)

## Function Documentation

## TEST() [1/6]

TEST | ( | HilbertPoincare | ,
|  | TypicalMultigraded | )

Definition at line 29 of file LibHilbertPoincareTest.cpp.

## TEST() [2/6]

TEST | ( | HilbertPoincare | ,
|  | TypicalUnivariate | )

Definition at line 38 of file LibHilbertPoincareTest.cpp.

## TEST() [3/6]

TEST | ( | HilbertPoincare | ,
|  | WholeRingMultigraded | )

Definition at line 70 of file LibHilbertPoincareTest.cpp.

## TEST() [4/6]

TEST | ( | HilbertPoincare | ,
|  | WholeRingUnivariate | )

Definition at line 81 of file LibHilbertPoincareTest.cpp.

## TEST() [5/6]

TEST | ( | HilbertPoincare | ,
|  | ZeroIdealMultigraded | )

Definition at line 48 of file LibHilbertPoincareTest.cpp.

## TEST() [6/6]

TEST | ( | HilbertPoincare | ,
|  | ZeroIdealUnivariate | )

Definition at line 59 of file LibHilbertPoincareTest.cpp.